Loading...
Searching...
No Matches
Opm::BlackOilConvectiveMixingModule< TypeTag, false > Class Template Reference

More...

`#include <blackoilconvectivemixingmodule.hh>`

## Classes

struct | ConvectiveMixingModuleParam

## Static Public Member Functions

template<class Context>
static bool | active (const Context &)
static void | modifyAvgDensity (Evaluation &, const IntensiveQuantities &, const IntensiveQuantities &, const unsigned int, const ConvectiveMixingModuleParam &)
template<class Context>
static void | addConvectiveMixingFlux (RateVector &, const Context &, unsigned, unsigned)
static void | addConvectiveMixingFlux (RateVector &, const IntensiveQuantities &, const IntensiveQuantities &, const unsigned, const unsigned, const Scalar, const Scalar, const Scalar, const ConvectiveMixingModuleParam &)
| Adds the convective mixing mass flux flux to the flux vector over a flux integration point.

## Detailed Description

template<class TypeTag>
class Opm::BlackOilConvectiveMixingModule< TypeTag, false >

Provides the convective term in the transport flux for the brine when convective mixing (enhanced dissolution of CO2 in brine) occurs. Controlled by the regimes for a controlvolume: i) initial phase (CO2 dissolves in brine due to diffusion) ii) linear phase (Convective fingers of CO2-rich brine propagate downwards) iii) steady-state-phase (fingers have passed through the bottom of a control -volume but the larger scale convective process is still active) iv) decline phase (Convection ceases at the large-scale when the CO2 has been completely dissolved)

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoilconvectivemixingmodule.hh